from django.contrib import admin
from django.urls import path, re_path
from django.views.static import serve
from form_demo import views
from django_demo import settings

urlpatterns = [
    path('userinfo/', views.userinfo_form),
    path('uploadimg/', views.img_file_form),
    path('userinfomodel/', views.userinfo_model_form),
    path('userinfomodelsave/', views.userinfo_model_from_save),
    re_path(r'media/(?P<path>.*)', serve, {'document_root': settings.MEDIA_ROOT}),
    path('login/', views.ajax_login),
    path('logindata/', views.ajax_login_data)
]
