from django.contrib import admin
from django.urls import path, re_path, include
from user_manager import views

urlpatterns = [
    path('user_reg/', views.user_reg),
    path('user_login/', views.user_login),
    path('myuser_reg/', views.myuser_reg),
    path('myuser_login/', views.myuser_login, name='user_manager_login'),
    path('myuser_index/', views.user_index),
    path('myuser_logout/', views.myuser_logout, name='user_manager_logout'),
    path('myuser_edit/', views.myuser_edit, name='user_manager_edit'),
    path('test/', views.test_middle, name='test'),

]
